ZSOELIM(1)

名前
zsoelim - satisfy .so requests in roff input

書式
zsoelim [-CVh] [file ...]

説明
zsoelim parses file arguments, or if none are specified, its standard input for lines of the form:

.so <filename>

These requests are replaced by the contents of the filename specified. If the request cannot be met, zsoelim looks for filename.ext where .ext can be one of .gz, .Z or .z. Other extension types may be supported depending upon compile time options. If the request can be met by a compressed file, this file is decompressed using an appropriate decompressor and its output is used to satisfy the request.

Traditionally, soelim programs were used to allow roff preprocessors to be able to preprocess the files referred to by the requests. This particular version was written to circumvent problems created by support for compressed manual pages.

オプション

-C, --compatible
    This flag is available for compatibility with other soelim programs. Its use is to enable .so requests followed by something other than whitespace. As this is already the default behaviour, it is ignored.

-h, --help
    ヘルプメッセージを表示して終了します。

-V, --version
    バージョン情報を表示します。

関連項目
groff(1), man(1), nroff(1), troff(1)

著者
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

バグ
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db